%define		status		stable
%define		pearname	Horde_Ldap
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde LDAP libraries
Name:		php-horde-Horde_Ldap
Version:	1.1.5
Release:	2
License:	LGPLv3
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	539a3f067c18d50da2960b111a337ffa
URL:		https://github.com/horde/horde/tree/master/framework/Ldap/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(ldap)
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a set of classes for connecting to LDAP servers
and working with directory objects.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Ldap.php
%{php_pear_dir}/Horde/Ldap
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> ff194bb
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> 7f1aaf5
- updated to: 1.1.5

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> a3cf490
- updated to: 1.1.4

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> 57ca705
- updated to: 1.1.3

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> b8b1913
- updated to: 1.1.2

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> ddfb873
- updated to: 1.1.1

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 507dcac
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> a31a2c4
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 088c533
- horde h4 pear packages

